﻿using HarmonyLib;
using System;
using System.Diagnostics;
using System.Linq;
using System.Reflection;
using System.Runtime.InteropServices;



public class AltTabNoSound : Mod
{
    private static AudioSettingsBox aSB;
    private static float oldVolume;

    public void Start()
    {
        aSB = Traverse.Create(ComponentManager<Settings>.Value).Field("optionMenuboxes").GetValue<OptionsMenuBox[]>().First(x => x is AudioSettingsBox) as AudioSettingsBox;
        oldVolume = aSB.MusicVolume;
        UnityEngine.Debug.Log("Mod AltTabNoSound has been loaded!");
    }

    public void OnModUnload()
    {
        UnityEngine.Debug.Log("Mod AltTabNoSound has been unloaded!");
    }

    void OnApplicationFocus(bool hasFocus)
    {
        ToggleSound(hasFocus);
    }

    public static void ToggleSound(bool toggle)
    {
        if (toggle)
        {
            aSB.MusicVolume = oldVolume;
        }
        else
        {
            oldVolume = aSB.MusicVolume;
            aSB.MusicVolume = 0f;
        }
    }
}